## org.omg.CORBA
Class InterfaceDescriptionHelper

    java.lang.Object
      |
      +--org.omg.CORBA.InterfaceDescriptionHelper

public class InterfaceDescriptionHelper
extends java.lang.Object

Helper class for : InterfaceDescription

Author:
  OpenORB Compiler

Constructor Summary
`InterfaceDescriptionHelper()`

Method Summary
`static InterfaceDescription` `extract(Any a)` Extract InterfaceDescription from an any
`static java.lang.String` `id()` Return the InterfaceDescription IDL ID
`static void` `insert(Any a, InterfaceDescription t)` Insert InterfaceDescription into an any
`static InterfaceDescription` `read(InputStream istream)` Read InterfaceDescription from a marshalled stream
`static TypeCode` `type()` Return the InterfaceDescription TypeCode
`static void` `write(OutputStream ostream, InterfaceDescription value)` Write InterfaceDescription into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterfaceDescriptionHelper

    public InterfaceDescriptionHelper()

Method Detail

### insert

    public static void insert(Any a,
                              InterfaceDescription t)

  Insert InterfaceDescription into an any
  Parameters:
    `a` - an any
    `t` - InterfaceDescription value

### extract

    public static InterfaceDescription extract(Any a)

  Extract InterfaceDescription from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted InterfaceDescription value

### type

    public static TypeCode type()

  Return the InterfaceDescription TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the InterfaceDescription IDL ID
  Returns:
    an ID

### read

    public static InterfaceDescription read(InputStream istream)

  Read InterfaceDescription from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed InterfaceDescription value

### write

    public static void write(OutputStream ostream,
                             InterfaceDescription value)

  Write InterfaceDescription into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - InterfaceDescription value